@import "../base/mixins";

.popup-quickview {
  align-items: center;
  display: flex;
  height: 100%;
  justify-content: center;
  left: 0;
  opacity: 0;
  visibility: hidden;
  pointer-events: none;
  position: fixed;
  top: 0;
  transition: opacity 0.2s;
  width: 100%;
  z-index: 99;

  &.-active {
    opacity: 1;
    pointer-events: all;
    visibility: visible;
  }

  > .background {
    position: absolute;
    z-index: 1;
    top: 0;
    left: 0;
    display: inline-block;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.4);
  }

  > .content {
    background-color: var(--gray-1);
    border-radius: 1.6rem;
    max-height: 90%;
    padding: 1.6rem 1rem;
    position: relative;
    width: 90%;
    max-width: 87rem;
    z-index: 2;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    box-shadow: 0 0 2.4rem 0 rgba(0, 0, 0, 0.3);

    @include media("md") {
      border-radius: 0.4rem;
      padding: 3.2rem 2.4rem;
    }
  }

  > .content .close {
    color: var(--gray-4);
    cursor: pointer;
    height: 3rem;
    position: absolute;
    right: 1rem;
    top: 1rem;
    width: 3rem;
    z-index: 3;
    display: flex;
    align-items: center;
    justify-content: center;

    @include media("md") {
      right: 0.2rem;
      top: 0.2rem;
    }

    .icon {
      height: 1rem;
      width: 1rem;
    }
  }

  > .content .product {
    min-width: 0;
    display: grid;
    gap: 1rem;
    grid-template-columns: 1fr;
    overflow-y: auto;
    padding: 0 0.6rem;

    @include media("md") {
      gap: 3.2rem;
      grid-template-columns: repeat(2, 1fr);
      padding: 0;
    }
  }

  > .content .product > .images {
    width: calc(50% + 0.6rem);
    padding: 0 0.6rem;
    margin: 0 auto;

    @include media("md") {
      width: unset;
      margin: unset;
      display: flex;
      align-items: center;
      padding: 0;
    }
  }

  > .content .images {
    position: relative;
    width: 100%;

    @import "../components/flag";

    .button-default {
      display: none;
    }

    &:hover .image img:nth-child(2) {
      background-color: var(--gray-1);
      opacity: 1;
    }
  }

  > .content .images .image {
    height: 100%;
    position: relative;
    width: 100%;

    img {
      object-fit: contain;
      transition: var(--transition);

      &:nth-child(2) {
        opacity: 0;
      }
    }
  }

  > .content .product > .infos {
    display: flex;
    flex-direction: column;
  }

  > .content .name {
    display: inline-block;
    font-weight: var(--font-weight-title);
    font-family: var(--font-family-title);
    font-size: 1.8rem;
    flex: 1;
    line-height: 1.5;
    width: 100%;
    margin-bottom: 0.4rem;

    @include media("md") {
      margin-bottom: 1.6rem;
      font-size: var(--font-size-title);
    }
  }

  @import "../components/product_block_price";

  > .content .price-wrapper {
    margin-top: 0;
  }

  > .content .price-wrapper .cmp-price-container > p {
    align-items: flex-start;
  }

  > .content .quantity {
    font-size: var(--font-size-small);
    margin-top: 0.8rem;
  }

  > .content .add-to-cart {
    display: flex;
    flex: 20;
    flex-direction: column;
    justify-content: space-between;
    width: 100%;
    margin-top: 0.8rem;

    @include media("md") {
      margin-top: 1.6rem;
    }

    @import "../content/product/infos/attributes";
  }

  > .content .add-to-cart .attributes {
    background-color: var(--white);
    margin-top: auto;
    gap: 1.2rem;

    @include media("md") {
      gap: 1.6rem;
    }
  }

  > .content .last-units {
    align-items: center;
    background-color: var(--secondary-color);
    border-radius: 3.3rem;
    color: var(--white);
    display: none;
    font-size: var(--font-size-small);
    font-weight: var(--font-weight-subtitle);
    height: 2.6rem;
    justify-content: center;
    line-height: 1;
    margin-top: 0.8rem;
    padding: 0.6rem 1rem;
    width: fit-content;

    @include media("md") {
      margin-top: 1.6rem;
    }

    &.-visible {
      display: flex;
    }
  }

  > .content .msg-response {
    display: none;
  }

  > .content .actions-wrapper {
    margin-top: 0.8rem;

    @include media("md") {
      margin-top: 1.6rem;
    }
  }

  > .content .quantity-selector {
    height: 5rem;
    border: 1px solid var(--gray-2);
    border-radius: 0.8rem;
    color: var(--gray-3);
    margin-bottom: 0.8rem;
    padding: 0 1.6rem;
  }

  > .content .quantity-selector .quantity {
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
  }

  > .content .quantity-selector .control {
    font-size: 2rem;
  }

  > .content .quantity-selector .input {
    max-width: 5rem;
    background-color: transparent;
    border: 0;
  }

  > .content .button-default {
    width: 100%;
  }

  > .content .more-link {
    display: block;
    text-align: center;
    font-size: var(--font-size-small);
    color: var(--gray-3);
    font-weight: var(--font-weight-base);
    text-transform: lowercase;
    text-decoration: underline;
    margin-top: 0.8rem;

    @include media("md") {
      margin-top: 1.6rem;
    }
  }
}
